TYPE=TRIGGERS
triggers='CREATE DEFINER=`root`@`localhost` TRIGGER `pdrcash_update` BEFORE UPDATE ON `pdrcash` \n    FOR EACH ROW BEGIN\n		DECLARE debtor_id INTEGER;\n		DECLARE debtor_date DATE;\n		DECLARE debtors_old DECIMAL(10,2);\n		DECLARE debtors_diff DECIMAL(10,2);\n		DECLARE correction_amount DECIMAL(10,2);\n		SELECT debtors INTO debtors_old \n		from pdrcash where id = NEW.id;\n	\n		SELECT client_id INTO debtor_id \n		from tillinvoices where id = NEW.invoice;\n		\n		SELECT date INTO debtor_date FROM dcash\n		where id = NEW.dcash_id;\n		SET debtors_diff = NEW.debtors - debtors_old;\n		SET correction_amount = abs(debtors_diff);\n		IF debtors_diff != 0 THEN\n			IF debtors_diff < 0 THEN\n				INSERT INTO accounts \n				(account,entityid,credit,description,document,stamp,date)\n				values\n				(1, debtor_id,correction_amount,"CASHUP CORRECTION",CONCAT(\'POS DOC# \', NEW.invoice),current_timestamp,debtor_date);\n			ELSE\n				INSERT INTO accounts \n				(account,entityid,debit,description,document,stamp,date)\n				values\n				(1, debtor_id,correction_amount,"CASHUP CORRECTION",CONCAT(\'POS DOC# \', NEW.invoice),current_timestamp,debtor_date);\n			END IF;\n		END IF;\n		#SELECT NEW.id INTO DUMPFILE \'/dumped\'; \nEND'
sql_modes=0
definers='root@localhost'
client_cs_names='utf8'
connection_cl_names='utf8_general_ci'
db_cl_names='latin1_swedish_ci'
